Subject: Re: Matshita CD rom drive problems

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Wed, 2 Dec 1998 14:20:37 +0000 (GMT)

Chris Nelson writes:
>...
> > Er... you could enter "hdb=noprobe" at the extra commands prompt although
> > you won't be able to access the CD ROM under Linux.
> > 
> 
> Thanks for the suggestion Mat, unfortunately it doesn't work :-(.

Another helpful argument could be "hdb=none", which will tell Linux
not to probe, or even touch the second IDE device.  Does this help?

I believe that the problem with the Matshita drive comes down to interrupt
differences, and because some IDE devices appear broken (you tell them to
disable their interrupt, so rather than forcing it to be inactive, it
goes permanently active).  I would like at some point to prove this
theory with this drive though...
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Chris Nelson <[email-masked]>
Date: Wed, 02 Dec 1998 18:45:31 +0000

Thanks to those who posted suggestions to solve this problem.  I've found that
the ide0=0x1f0,0x3f6,9 line works fine.  So well in fact that I didn't try
the alternative: ide0=0x1f0,0x3f0,9 at all, do both of these allow you access 
to the CDROM? I'll probably be able to find this out for myself once I've tried
every permutation of ide0, hdb, cd1, iso9660 and cd9660 in a mount command :-)

In the meantime, back to that kernel compilation...

Cheerio

Chris